Package org.jcsp.net

# Class ServiceInstallationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.jcsp.net.ServiceInstallationException

All Implemented Interfaces:
  `Serializable`

public class ServiceInstallationException extends RuntimeException
An excpetion that is thrown if a service installation fails.

Author:
  Quickstone Technologies Limited
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ServiceInstallationException()`
Constructor for ServiceInstallationException.
`ServiceInstallationException(String message)`
Constructor for ServiceInstallationException.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ServiceInstallationException

public ServiceInstallationException()
Constructor for ServiceInstallationException.

### ServiceInstallationException

public ServiceInstallationException(String message)
Constructor for ServiceInstallationException.

Parameters:
  `message` -